Summary:       ACPI Event Daemon
Name:          acpid
Version:       2.0.33
Release:       4%{?dist}
License:       GPLv2+
URL:           http://sourceforge.net/projects/acpid2/
Source0:       http://downloads.sourceforge.net/acpid2/%{name}-%{version}.tar.xz
Source1:       acpid.power.conf
Source2:       acpid.power.sh
Source3:       acpid.service
Source4:       acpid.socket
Source5:       acpid.sysconfig
Patch0001:     acpid-kacpimon-dynamic-connections.patch
BuildRequires: systemd, gcc, make
%{?systemd_requires}

%description
Advanced Configuration and Power Interface event daemon.
It is designed to notify user-space programs of ACPI events.

%prep
%autosetup -p1

%build
%configure
%make_build CFLAGS="%{optflags} -pie -Wl,-z,relro,-z,now"

%install
rm -rf %{buildroot}
%make_install docdir=%{_docdir}/%{name}

install -d %{buildroot}%{_sysconfdir}/acpi/{events,actions}
install -d %{buildroot}%{_unitdir}

install -p -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/acpi/events/powerconf
touch %{buildroot}%{_sysconfdir}/acpi/events/videoconf
install -p -m755 %{SOURCE2} %{buildroot}%{_sysconfdir}/acpi/actions/power.sh
install -p -m644 %{SOURCE3} %{SOURCE4} %{buildroot}%{_unitdir}
install -Dp -m644 %{SOURCE5} %{buildroot}%{_sysconfdir}/sysconfig/acpid

%post
%systemd_post %{name}.socket %{name}.service

%preun
%systemd_preun %{name}.socket %{name}.service

%postun
%systemd_postun_with_restart %{name}.socket %{name}.service

%files
%doc %{_docdir}/%{name}
%{_bindir}/acpi_listen
%{_sbindir}/acpid
%{_sbindir}/kacpimon
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}.socket
%dir %{_sysconfdir}/acpi
%dir %{_sysconfdir}/acpi/events
%dir %{_sysconfdir}/acpi/actions
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/acpi/events/videoconf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/acpi/events/powerconf
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/acpi/actions/power.sh
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/acpid
%{_mandir}/man8/acpid.8.gz
%{_mandir}/man8/acpi_listen.8.gz
%{_mandir}/man8/kacpimon.8.gz

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.33-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.33-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Oct 26 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.0.33-2
- acpid failed to start because EnvironmentFile in service is a diretory

* Wed Jul 6 2022 cunshunxia <cunshunxia@tencent.com> - 2.0.33-1
- initial build
